﻿@model string

@Html.HiddenFor(m => m)
@Html.ValidationMessageFor(m => m)

<script id="fileTemplate-Banner" type="text/x-kendo-template">
    <span class='k-progress'></span>
    <div class='file-wrapper'>
        <span class='file-icon #=addExtensionClass(files[0].extension)#'></span>
        <p class='file-heading file-name-heading' style="font-size:12px;font-weight:bold;margin:0;text-overflow: ellipsis;white-space: nowrap;overflow: hidden;">نام: #=name#</p>
        <p class='file-heading file-size-heading' style="font-size:12px;font-weight:bold;margin:0;text-overflow: ellipsis;white-space: nowrap;overflow: hidden;">سایز: <span style="font-family:Tahoma,sans-serif !important;">#=size#</span> بایت</p>
        <strong class="k-upload-status">
            <button type='button' class='k-upload-action'></button>
            <button type='button' class='k-upload-action'></button>
        </strong>
    </div>
</script>

<div class="k-rtl" id="Banner-upload">
    @(Html.Kendo().Upload()
        .Name("file")
        .Messages(m => m.Select("... انتخاب تصویر").HeaderStatusUploaded("انجام شد"))
        .TemplateId("fileTemplate-Banner")
        .Async(a => a
            .Save("SaveContractBanner", "Contract")
            .Remove("RemoveContractBanner", "Contract")
            .AutoUpload(false)                
        )
        .Events(e => e.Success("SuccessContractBannerUpload"))
        .Events(e => e.Remove("RemoveContractBanner"))
        .Events(e => e.Upload("UploadContractBanner"))
        .Validation(validation => validation.AllowedExtensions(new string[] { ".gif", ".jpg", ".png" }))
    )
    <div class="demo-hint" style="font-size:11px !important;">فرمت های قابل دانلود : <strong>GIF</strong> - <strong>JPG</strong> - <strong>PNG</strong> - <strong>SVG</strong></div>
</div>

<script type="text/javascript">
    function addExtensionClass(extension) {
        switch (extension) {
            case '.jpg':
            case '.img':
            case '.png':
            case '.gif':
                return "img-file";
            case '.doc':
            case '.docx':
                return "doc-file";
            case '.xls':
            case '.xlsx':
                return "xls-file";
            case '.pdf':
                return "pdf-file";
            case '.zip':
            case '.rar':
                return "zip-file";
            case '.svg':
                return "svg-file";
            default:
                return "default-file";
        }
    }
</script>

<style>

    #Banner-upload >.k-upload-sync.k-upload-empty{
        padding-right:11px !important;
    }
    .file-icon {
        display: inline-block;
        float: left;
        width: 48px;
        height: 48px;
        margin-left: 10px;
        margin-top: 13.5px;
    }

    .demo-hint {
        margin-right: 4px;
        padding: 5px;
        font-size: 12px !important;
        margin-bottom:20px;
    }

        .demo-hint strong {
            color: #ff5722;
        }

    .img-file {
        background-image: url(../../../../../Images/file/jpg.png);
    }

    .doc-file {
        background-image: url(../../../../../Images/file/doc.png);
    }

    .pdf-file {
        background-image: url(../../../../../Images/file/pdf.png);
    }

    .xls-file {
        background-image: url(../../../../../Images/file/xls.png);
    }

    .zip-file {
        background-image: url(../../../../../Images/file/zip.png);
    }

    .default-file {
        background-image: url(../../../../../Images/file/default.png);
    }

    .svg-file {
        background-image: url(../../../../../Images/file/SVG.png);
    }

    #example .file-heading {
        font-size: 12px !important;
        display: inline-block;
        float: left;
        width: 60%;
        margin: 0 0 0 20px;
        height: 25px;
        -ms-text-overflow: ellipsis;
        -o-text-overflow: ellipsis;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    #example .file-name-heading {
        font-weight: bold;
        margin-top: 20px;
    }

    .k-upload .k-upload-button {
        margin-right: 0 !important;
    }

    #example .file-size-heading {
        font-weight: normal;
        font-style: italic;
    }

    li.k-file div.file-wrapper {
        position: relative;
        height: 75px;
    }
</style>


